Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 776)
+++ inc/core/class.dc.xmlrpc.php	(revision 848)
@@ -187,31 +187,4 @@
 			'Update blog options');
 		
-		$this->addCallback('wp.getComment',array($this,'wp_getComment'),
-			array('struct','integer','string','string','integer'),
-			"Gets a comment, given it's comment ID.");
-		
-		$this->addCallback('wp.getCommentCount',array($this,'wp_getCommentCount'),
-			array('array','integer','string','string','integer'),
-			'Retrieve comment count.');
-		
-		$this->addCallback('wp.getComments',array($this,'wp_getComments'),
-			array('array','integer','string','string','struct'),
-			'Gets a set of comments for a given post.');
-		
-		$this->addCallback('wp.deleteComment',array($this,'wp_deleteComment'),
-			array('boolean','integer','string','string','integer'),
-			'Delete a comment with given ID.');
-		
-		$this->addCallback('wp.editComment',array($this,'wp_editComment'),
-			array('boolean','integer','string','string','integer','struct'),
-			'Edit a comment with given ID.');
-		
-		$this->addCallback('wp.newComment',array($this,'wp_newComment'),
-			array('integer','integer','string','string','integer','struct'),
-			'Create a new comment for a given post ID.');
-		
-		$this->addCallback('wp.getCommentStatusList',array($this,'wp_getCommentStatusList'),
-			array('array','integer','string','string'),
-			'Retrieve all of the comment statuses.');
 	}
 	
@@ -335,6 +308,4 @@
 		$description = !empty($struct['description']) ? $struct['description'] : null;
 		$dateCreated = !empty($struct['dateCreated']) ? $struct['dateCreated'] : null;
-		$open_comment = isset($struct['mt_allow_comments']) ? $struct['mt_allow_comments'] : 1;
-		$open_tb = isset($struct['mt_allow_pings']) ? $struct['mt_allow_pings'] : 1;
 		
 		if ($description !== null) {
@@ -362,6 +333,4 @@
 		$cur->post_content_xhtml = $content_xhtml;
 		$cur->post_excerpt_xhtml = $excerpt_xhtml;
-		$cur->post_open_comment = (integer) ($open_comment == 1);
-		$cur->post_open_tb = (integer) ($open_tb == 1);
 		$cur->post_status = (integer) $publish;
 		$cur->post_format = 'xhtml';
@@ -440,6 +409,4 @@
 		$description = (!empty($struct['description'])) ? $struct['description'] : null;
 		$dateCreated = !empty($struct['dateCreated']) ? $struct['dateCreated'] : null;
-		$open_comment = (isset($struct['mt_allow_comments'])) ? $struct['mt_allow_comments'] : 1;
-		$open_tb = (isset($struct['mt_allow_pings'])) ? $struct['mt_allow_pings'] : 1;
 		
 		if ($description !== null) {
@@ -466,6 +433,4 @@
 		$cur->post_content_xhtml = $content_xhtml;
 		$cur->post_excerpt_xhtml = $excerpt_xhtml;
-		$cur->post_open_comment = (integer) ($open_comment == 1);
-		$cur->post_open_tb = (integer) ($open_tb == 1);
 		$cur->post_status = (integer) $publish;
 		$cur->post_format = 'xhtml';
@@ -557,6 +522,4 @@
 			$res['mt_excerpt'] = $post->post_excerpt_xhtml;
 			$res['mt_text_more'] = '';
-			$res['mt_allow_comments'] = (integer) $post->post_open_comment;
-			$res['mt_allow_pings'] = (integer) $post->post_open_tb;
 			$res['mt_convert_breaks'] = '';
 			$res['mt_keywords'] = '';
@@ -621,6 +584,4 @@
 				$tres['mt_excerpt'] = $posts->post_excerpt_xhtml;
 				$tres['mt_text_more'] = '';
-				$tres['mt_allow_comments'] = (integer) $posts->post_open_comment;
-				$tres['mt_allow_pings'] = (integer) $posts->post_open_tb;
 				$tres['mt_convert_breaks'] = '';
 				$tres['mt_keywords'] = '';
@@ -832,19 +793,4 @@
 	}
 	
-	private function translateWpCommentstatus($s)
-	{
-		$status = array(
-			'hold' => -1,
-			'approve' => 0,
-			'spam' => -2
-		);
-		
-		if (is_int($s)) {
-			$status = array_flip($status);
-			return isset($status[$s]) ? $status[$s] : $status[0];
-		} else {
-			return isset($status[$s]) ? $status[$s] : $status['approve'];
-		}
-	}
 	
 	private function translateWpOptions($options=array())
@@ -986,6 +932,4 @@
 				"excerpt"				=> $posts->post_excerpt_xhtml,
 				"text_more"			=> '',
-				"mt_allow_comments"		=> (integer) $posts->post_open_comment,
-				"mt_allow_pings"		=> (integer) $posts->post_open_tb,
 				"wp_slug"				=> $posts->post_url,
 				"wp_password"			=> $posts->post_password,
@@ -1159,157 +1103,4 @@
 		}
 		return $res;
-	}
-	
-	private function countComments($user,$pwd,$post_id)
-	{
-		$this->setUser($user,$pwd);
-		$this->setBlog();
-		
-		$res = array(
-			'approved' => 0,
-			'awaiting_moderation' => 0,
-			'spam' => 0,
-			'total' => 0
-		);
-		$rs = $this->core->blog->getComments(array('post_id' => $post_id));
-		
-		while ($rs->fetch()) {
-			$res['total']++;
-			if ($rs->comment_status == 1) {
-				$res['approved']++;
-			} elseif ($rs->comment_status == -2) {
-				$res['spam']++;
-			} else {
-				$res['awaiting_moderation']++;
-			}
-		}
-		return $res;
-	}
-	
-	private function getComments($user,$pwd,$struct,$id=null)
-	{
-		$this->setUser($user,$pwd);
-		$this->setBlog();
-		
-		$params = array();
-		
-		if (!empty($struct['status'])) {
-			$params['comment_status'] = $this->translateWpCommentstatus($struct['status']);
-		}
-		
-		if (!empty($struct['post_id'])) {
-			$params['post_id'] = (integer) $struct['post_id'];
-		}
-		
-		if (isset($id)) {
-			$params['comment_id'] = $id;
-		}
-		
-		$offset = !empty($struct['offset']) ? (integer) $struct['offset'] : 0;
-		$limit = !empty($struct['number']) ? (integer) $struct['number'] : 10;
-		$params['limit'] = array($offset,$limit);
-		
-		$rs = $this->core->blog->getComments($params);
-		$res = array();
-		while ($rs->fetch())
-		{
-			$res[] = array(
-				'date_created_gmt'		=> new xmlrpcDate($rs->getTS()),
-				'user_id'				=> $rs->user_id,
-				'comment_id'			=> $rs->comment_id,
-				'parent'				=> 0,
-				'status'				=> $this->translateWpCommentstatus((integer) $rs->comment_status),
-				'content'				=> $rs->comment_content,
-				'link'				=> $rs->getPostURL().'#c'.$rs->comment_id,
-				'post_id'				=> $rs->post_id,
-				'post_title'			=> $rs->post_title,
-				'author'				=> $rs->comment_author,
-				'author_url'			=> $rs->comment_site,
-				'author_email'			=> $rs->comment_email,
-				'author_ip'			=> $rs->comment_ip
-			);
-		}
-		return $res;
-	}
-	
-	private function addComment($user,$pwd,$post_id,$struct)
-	{
-		$this->setUser($user,$pwd);
-		$this->setBlog();
-		
-		if (empty($struct['content'])) {
-			throw new Exception('Sorry, you cannot post an empty comment',401);
-		}
-		
-		if (is_numeric($post_id)) {
-			$p['post_id'] = $post_id;
-		} else {
-			$p['post_url'] = $post_id;
-		}
-		$rs = $this->core->blog->getPosts($p);
-		if ($rs->isEmpty()) {
-			throw new Exception('Sorry, no such post.',404);
-		}
-		
-		$cur = $this->core->con->openCursor($this->core->prefix.'comment');
-		
-		$cur->comment_author = $this->core->auth->getInfo('user_cn');
-		$cur->comment_email = $this->core->auth->getInfo('user_email');
-		$cur->comment_site = $this->core->auth->getInfo('user_url');
-		
-		$cur->comment_content = $struct['content'];
-		$cur->post_id = (integer) $post_id;
-		
-		$id = $this->core->blog->addComment($cur);
-		return $id;
-	}
-	
-	private function updComment($user,$pwd,$comment_id,$struct)
-	{
-		$this->setUser($user,$pwd);
-		$this->setBlog();
-		
-		$cur = $this->core->con->openCursor($this->core->prefix.'comment');
-		
-		if (isset($struct['status'])) {
-			$cur->comment_status = $this->translateWpCommentstatus($struct['status']);
-		}
-		
-		if (isset($struct['date_created_gmt'])) {
-			if ($struct['date_created_gmt'] instanceof xmlrpcDate) {
-				$cur->comment_dt = date('Y-m-d H:i:00',$struct['date_created_gmt']->getTimestamp());
-			} elseif (is_string($struct['date_created_gmt']) && @strtotime($struct['date_created_gmt'])) {
-				$cur->comment_dt = date('Y-m-d H:i:00',strtotime($struct['date_created_gmt']));
-			}
-			$cur->comment_dt = $struct['date_created_gmt'];
-		}
-		
-		if (isset($struct['content'])) {
-			$cur->comment_content = $struct['content'];
-		}
-		
-		if (isset($struct['author'])) {
-			$cur->comment_author = $struct['author'];
-		}
-		
-		if (isset($struct['author_url'])) {
-			$cur->comment_site = $struct['author_url'];
-		}
-		
-		if (isset($struct['author_email'])) {
-			$cur->comment_email = $struct['author_email'];
-		}
-		
-		$this->core->blog->updComment($comment_id,$cur);
-		return true;
-	}
-	
-	private function delComment($user,$pwd,$comment_id)
-	{
-		$this->setUser($user,$pwd);
-		$this->setBlog();
-		
-		$this->core->blog->delComment($comment_id);
-		return true;
 	}
 	
@@ -1582,51 +1373,4 @@
 	}
 	
-	public function wp_getComment($blogid,$username,$password,$commentid)
-	{
-		$res = $this->getComments($username,$password,array(),$commentid);
-		
-		if (empty($res)) {
-			throw new Exception('Sorry, no such comment',404);
-		}
-		
-		return $res[0];
-	}
-	
-	public function wp_getCommentCount($blogid,$username,$password,$postid)
-	{
-		return $this->countComments($username,$password,$postid);
-	}
-	
-	public function wp_getComments($blogid,$username,$password,$struct)
-	{
-		return $this->getComments($username,$password,$struct);
-	}
-	
-	public function wp_deleteComment($blogid,$username,$password,$commentid)
-	{
-		return $this->delComment($username,$password,$commentid);
-	}
-	
-	public function wp_editComment($blogid,$username,$password,$commentid,$content)
-	{
-		return $this->updComment($username,$password,$commentid,$content);
-	}
-	
-	public function wp_newComment($blogid,$username,$password,$postid,$content)
-	{
-		return $this->addComment($username,$password,$postid,$content);
-	}
-	
-	public function wp_getCommentStatusList($blogid,$username,$password)
-	{
-		$this->setUser($username,$password);
-		$this->setBlog();
-		
-		return array(
-			'hold' => 'Unapproved',
-			'approve' => 'Approved',
-			'spam' => 'Spam'
-		);
-	}
 }
 ?>
Index: inc/dbschema/db-schema.php
===================================================================
--- inc/dbschema/db-schema.php	(revision 407)
+++ inc/dbschema/db-schema.php	(revision 848)
@@ -123,9 +123,4 @@
 	->post_selected		('smallint',	0,	false,	0)
 	->post_position		('integer',	0,	false,	0)
-	->post_open_comment		('smallint',	0,	false,	0)
-	->post_open_tb			('smallint',	0,	false,	0)
-	->nb_comment			('integer',	0,	false,	0)
-	->nb_trackback			('integer',	0,	false,	0)
-	
 	->primary('pk_post','post_id')
 	
@@ -174,32 +169,4 @@
 	
 	->primary('pk_version','module')
-	;
-
-$_s->ping
-	->post_id		('bigint',	0,	false)
-	->ping_url	('varchar',	255,	false)
-	->ping_dt		('timestamp',	0,	false,	'now()')
-	
-	->primary('pk_ping','post_id','ping_url')
-	;
-
-$_s->comment
-	->comment_id			('bigint',	0,	false)
-	->post_id				('bigint',	0,	false)
-	->comment_dt			('timestamp',	0,	false,	'now()')
-	->comment_tz			('varchar',	128,	false,	"'UTC'")
-	->comment_upddt		('timestamp',	0,	false,	'now()')
-	->comment_author		('varchar',	255,	true,	null)
-	->comment_email		('varchar',	255,	true,	null)
-	->comment_site			('varchar',	255,	true,	null)
-	->comment_content		('text',		0,	true)
-	->comment_words		('text',		0,	true,	null)
-	->comment_ip			('varchar',	39,	true,	null)
-	->comment_status		('smallint',	0,	true,	0)
-	->comment_spam_status	('varchar',	128,	true,	0)
-	->comment_spam_filter	('varchar',	32,	true,	null)
-	->comment_trackback		('smallint',	0,	false,	0)
-	
-	->primary('pk_comment','comment_id')
 	;
 
@@ -238,5 +205,4 @@
 $_s->post_media->index	('idx_post_media_media_id',		'btree',	'media_id');
 $_s->log->index		('idx_log_user_id',				'btree',	'user_id');
-$_s->comment->index		('idx_comment_post_id',			'btree',	'post_id');
 $_s->meta->index		('idx_meta_post_id',	'btree','post_id');
 $_s->meta->index		('idx_meta_meta_type',	'btree','meta_type');
@@ -245,5 +211,4 @@
 /* Performance indexes
 -------------------------------------------------------- */
-$_s->comment->index		('idx_comment_post_id_dt_status',	'btree',	'post_id', 'comment_dt', 'comment_status');
 $_s->post->index		('idx_post_post_dt',			'btree',	'post_dt');
 $_s->post->index		('idx_post_post_dt_post_id',		'btree',	'post_dt','post_id');
@@ -266,6 +231,4 @@
 $_s->post_media->reference('fk_media','media_id','media','media_id','cascade','cascade');
 $_s->post_media->reference('fk_media_post','post_id','post','post_id','cascade','cascade');
-$_s->ping->reference('fk_ping_post','post_id','post','post_id','cascade','cascade');
-$_s->comment->reference('fk_comment_post','post_id','post','post_id','cascade','cascade');
 $_s->log->reference('fk_log_blog','blog_id','blog','blog_id','cascade','set null');
 $_s->meta->reference('fk_meta_post','post_id','post','post_id','cascade','cascade');
Index: inc/dbschema/upgrade.php
===================================================================
--- inc/dbschema/upgrade.php	(revision 706)
+++ inc/dbschema/upgrade.php	(revision 848)
@@ -154,7 +154,4 @@
 				$init_fav['posts'] = array('posts','Entries','posts.php',
 					'images/menu/entries.png','images/menu/entries-b.png',
-					'usage,contentadmin',null,null);
-				$init_fav['comments'] = array('comments','Comments','comments.php',
-					'images/menu/comments.png','images/menu/comments-b.png',
 					'usage,contentadmin',null,null);
 				$init_fav['prefs'] = array('prefs','My preferences','preferences.php',
Index: inc/prepend.php
===================================================================
--- inc/prepend.php	(revision 826)
+++ inc/prepend.php	(revision 848)
@@ -39,5 +39,4 @@
 $__autoload['dcNamespace']			= dirname(__FILE__).'/core/class.dc.namespace.php';
 $__autoload['dcSettings']			= dirname(__FILE__).'/core/class.dc.settings.php';
-$__autoload['dcTrackback']			= dirname(__FILE__).'/core/class.dc.trackback.php';
 $__autoload['dcUpdate']				= dirname(__FILE__).'/core/class.dc.update.php';
 $__autoload['dcUtils']				= dirname(__FILE__).'/core/class.dc.utils.php';
@@ -48,5 +47,4 @@
 
 $__autoload['rsExtPost']				= dirname(__FILE__).'/core/class.dc.rs.extensions.php';
-$__autoload['rsExtComment']			= dirname(__FILE__).'/core/class.dc.rs.extensions.php';
 $__autoload['rsExtDates']			= dirname(__FILE__).'/core/class.dc.rs.extensions.php';
 $__autoload['rsExtUser']				= dirname(__FILE__).'/core/class.dc.rs.extensions.php';
@@ -57,5 +55,4 @@
 $__autoload['adminPostList']			= dirname(__FILE__).'/admin/lib.pager.php';
 $__autoload['adminPostMiniList']		= dirname(__FILE__).'/admin/lib.pager.php';
-$__autoload['adminCommentList']		= dirname(__FILE__).'/admin/lib.pager.php';
 $__autoload['adminUserList']			= dirname(__FILE__).'/admin/lib.pager.php';
 
@@ -123,5 +120,5 @@
 # Constants
 define('DC_ROOT',path::real(dirname(__FILE__).'/..'));
-define('DC_VERSION','2.4.3');
+define('DC_VERSION','2.5-dev');
 define('DC_DIGESTS',dirname(__FILE__).'/digests');
 define('DC_L10N_ROOT',dirname(__FILE__).'/../locales');
@@ -209,5 +206,4 @@
 
 $core->url->register('feed','feed','^feed/(.+)$',array('dcUrlHandlers','feed'));
-$core->url->register('trackback','trackback','^trackback/(.+)$',array('dcUrlHandlers','trackback'));
 $core->url->register('rsd','rsd','^rsd$',array('dcUrlHandlers','rsd'));
 $core->url->register('xmlrpc','xmlrpc','^xmlrpc/(.+)$',array('dcUrlHandlers','xmlrpc'));
